net.fortuna.ical4j.filter

## Class HasPropertyRule

- java.lang.Object
- - net.fortuna.ical4j.filter.ComponentRule
  - - net.fortuna.ical4j.filter.HasPropertyRule

All Implemented Interfaces:
  Rule

    public class HasPropertyRule
    extends ComponentRule

$Id$ Created on 5/02/2006 A rule that matches any component containing the specified property. Note that this rule ignores any parameters matching only on the value of the property.

Author:
  Ben Fortuna

### Constructor Summary

Constructors
Constructor and Description
`HasPropertyRule(Property property)` Constructs a new instance with the specified property.
`HasPropertyRule(Property property, boolean matchEquals)` Constructs a new instance with the specified property.

### Method Summary

Methods
`boolean` `match(Component component)`

### Methods inherited from class net.fortuna.ical4j.filter.ComponentRule

`match`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HasPropertyRule

    public HasPropertyRule(Property property)

Constructs a new instance with the specified property. Ignores any parameters matching only on the value of the property.

Parameters:
  `property` - a property instance to check for

#### HasPropertyRule

    public HasPropertyRule(Property property,
                   boolean matchEquals)

Constructs a new instance with the specified property.

Parameters:
  `property` - the property to match
  `matchEquals` - if true, matches must contain an identical property (as indicated by `Property.equals()`

### Method Detail

#### match

    public final boolean match(Component component)

Specified by:
  `match` in class `ComponentRule`
Parameters:
  `component` - a component to match on
Returns:
  true if the component matches the rule, otherwise false